Bug 1013954 - Installer: Add ability to change management ports for domain
Installer: Add ability to change management ports for domain
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER5
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 03:06 EDT by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The JBoss EAP 6 installer has been updated to allow the configuration of management ports for domain mode servers. Previously, the installer could configure management ports for a standalone server, however management ports for a domain server had to be manually configured after installation via configuration files. This installer enhancement allows management ports for domain servers to be configured at installation, without having to manually configure them later.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:01 EST
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-01 03:06:23 EDT
Description of problem:
User has possibility to change management ports (9999,9990) for standalone, but not for domain. These ports are configured inside host configuration files. We should give user ability to configure them during installation (one configuration for all host files).

Affected files:
$JBOSS_HOME/domain/configuration/host.xml
$JBOSS_HOME/domain/configuration/host-master.xml
$JBOSS_HOME/domain/configuration/host-slave.xml

Current version:
EAP 6.2.0.ER3
Comment 1 Miles Tjandrawidjaja 2013-10-02 09:52:30 EDT
Option to change management ports for domain has been added.

http://git.app.eng.bos.redhat.com/?p=jbossas-installer.git;a=commit;h=d1fac52a1a98d2790886f69488f1d896ec86524c
Comment 2 Petr Kremensky 2013-10-07 08:53:45 EDT
Hi Miles, 
I am not sure, whether this is a correct solution.
Management ports of each profile are stored in separate xml file in standalone mode, so it is fine to configure them for each profile (profiles are named after xml files), but these ports are shared by all profiles in domain (profiles are defined in domain.xml), so I don't think we should configure them just in domain socket bindings screen (default profile). 

We should create a separate screen, just for domain management port, or do you think of another solution? 

We may also update "Socket Binding (domain)" string to "Socket Binding (default-domain)" so it's clear that user is changing ports only for default profile of domain not for the whole domain, however this is just a suggestion.
Comment 3 Miles Tjandrawidjaja 2013-10-07 14:02:36 EDT
As suggested, "Socket Binding (domain)" renamed to "Socket Binding ("default-domain)"
Also management ports that effects the host.xml is in its own panel.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=41e54825e8b0a37a840dd7ada127d99fb31297db
Comment 4 Petr Kremensky 2013-10-08 05:16:07 EDT
Verified on EAP 6.2.0.ER5 installer.

Note You need to log in before you can comment on or make changes to this bug.